### File

`packages/eui-ecl/packages/core/src/lib/components/ecl-checkbox/ecl-checkbox-input.directive.ts`

### Implements

`DoCheck`

### Metadata

Selector | `input[eclCheckboxInput]`

### Index

###### Properties

- Public eclCheckbox

###### HostBindings

- class

###### Accessors

- cssClasses

### Constructor

`constructor(eclCheckbox: EclCheckboxDirective, ngControl: NgControl)`

Parameters :

Name | Type | Optional
eclCheckbox | `EclCheckboxDirective` | No
ngControl | `NgControl` | No

### HostBindings

class
Type : `any`

### Properties

Public eclCheckbox
Type : `EclCheckboxDirective`
Decorators : `@Inject(undefined)`

### Accessors

cssClasses
get `cssClasses()`

# results matching ""

# No results matching ""